<?php

namespace Heanup\App\Api;

abstract class RestfulController extends Controller
{

    protected $isrestful = true;

    /**
     * Get Method|获取数据
     * @return void
     */
    protected abstract function getData();

    /**
     * Post Method|新增数据
     * @return void
     */
    protected abstract function postData();

    /**
     * Put Method|更新数据
     * @return void
     */
    protected abstract function putData();

    /**
     * Delete Method|删除数据
     * @return void
     */
    protected abstract function deleteData();

    /**
     * Patch Method|更新部分字段，如：status
     * @return void
     *
     */
    protected function patchData(){}

}